Package it.ernytech.tdlib

## Class TdApi.Location

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Location

Enclosing class:
  TdApi

    public static class TdApi.Location
    extends TdApi.Object

Describes a location on planet Earth.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`double` `latitude` Latitude of the location in degrees; as defined by the sender.
`double` `longitude` Longitude of the location, in degrees; as defined by the sender.

### Constructor Summary

Constructors
`Location()` Default constructor.
`Location​(double latitude, double longitude)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### latitude

    public double latitude

Latitude of the location in degrees; as defined by the sender.

#### longitude

    public double longitude

Longitude of the location, in degrees; as defined by the sender.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Location

    public Location()

Default constructor.

#### Location

    public Location​(double latitude,
                    double longitude)

Constructor for initialization of all fields.

Parameters:
  `latitude` - Latitude of the location in degrees; as defined by the sender.
  `longitude` - Longitude of the location, in degrees; as defined by the sender.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR